Bug 135440 - Unwanted scroll to bottom when Opening paragraph style dialog with text selected
Summary: Unwanted scroll to bottom when Opening paragraph style dialog with text selected
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-04 14:38 UTC by Telesto
Modified: 2020-09-07 09:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (13.53 KB, application/vnd.oasis.opendocument.text)
2020-08-04 14:38 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-08-04 14:38:27 UTC
Description:
Unwanted scroll to bottom when Opening paragraph style dialog with text selected

Steps to Reproduce:
1. Open the attached file
2. CTRL+A
3. Sidebar -> Paragraph Styles -> Right click on a style & select modify -> Jump to bottom

Actual Results:
Jump to bottom

Expected Results:
No scroll


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: ru-RU (nl_NL); UI: en-US
Calc: CL

also in
4.4.7.2
Comment 1 Telesto 2020-08-04 14:38:41 UTC
Created attachment 163939 [details]
Example file
Comment 2 Telesto 2020-08-04 14:40:47 UTC
@Mike
You have a certain view on things.. about document modification & scroll and such... so I'm interested in your opinion
Comment 3 Mike Kaganski 2020-08-04 14:58:46 UTC
I would think that until you have changed something, or the tool has a good reason to show you some place, no scroll should happen. (I seem to have fixed a similar thing with paragraph properties recently - please check; this one looks similar, and so should also be debugged and fixed).

(Did not test, so can't confirm. Just writing my opinion in case it is reproducible.)
Comment 4 Telesto 2020-08-05 18:27:05 UTC
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: ru-RU (nl_NL); UI: en-US
Calc: CL

-> Build of today 

Looks fixed already